> ## Documentation Index
> Fetch the complete documentation index at: https://docs.llm-stats.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Benchmarks



## OpenAPI

````yaml https://api.llm-stats.com/stats/openapi.json get /v1/benchmarks
openapi: 3.1.0
info:
  title: LLM Stats API
  description: Public API for querying AI model benchmarks, scores, rankings, and pricing.
  version: 1.0.0
servers:
  - url: /stats
security: []
paths:
  /v1/benchmarks:
    get:
      summary: List Benchmarks
      operationId: list_benchmarks_v1_benchmarks_get
      parameters:
        - name: category
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Category
        - name: verified
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Verified
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BenchmarksResponse'
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unauthorized
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    BenchmarksResponse:
      properties:
        benchmarks:
          items:
            $ref: '#/components/schemas/BenchmarkInfo'
          type: array
          title: Benchmarks
      type: object
      required:
        - benchmarks
      title: BenchmarksResponse
    ErrorResponse:
      properties:
        error:
          $ref: '#/components/schemas/ErrorDetail'
      type: object
      required:
        - error
      title: ErrorResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    BenchmarkInfo:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        categories:
          items:
            type: string
          type: array
          title: Categories
        modality:
          type: string
          title: Modality
        max_score:
          type: number
          title: Max Score
        language:
          type: string
          title: Language
        verified:
          type: boolean
          title: Verified
        model_count:
          type: integer
          title: Model Count
        paper_link:
          anyOf:
            - type: string
            - type: 'null'
          title: Paper Link
        implementation_link:
          anyOf:
            - type: string
            - type: 'null'
          title: Implementation Link
        source:
          type: string
          title: Source
        url:
          type: string
          title: Url
      type: object
      required:
        - id
        - name
        - categories
        - modality
        - max_score
        - language
        - verified
        - model_count
        - source
        - url
      title: BenchmarkInfo
    ErrorDetail:
      properties:
        code:
          type: string
          title: Code
        message:
          type: string
          title: Message
        param:
          anyOf:
            - type: string
            - type: 'null'
          title: Param
        help_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Help Url
      type: object
      required:
        - code
        - message
      title: ErrorDetail
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````